@import "reset";
@import "variables";
@import "mixins";
@import "fonts";

body {
    min-width: 320px;
    overflow-x: hidden;
    font-family: $font;
}

.wrapper {

    padding: 0 27px;
}

.header {

    &__container {
        @include flexBox;
  
        justify-content: flex-end;

        min-height: 85px;
    }

    &__menu {
        border: none;
        background-color: rgba(0, 0, 0);
        width: 44px;
        height: 37px;
        padding: 0;
        cursor: pointer;
        position: relative;

        i {
            color: white;
            width: 20px;
        }
    }

    &__menu-items {

        display: none;
    }

    &__menu-item {
        display: inline-block;
        padding: 0 34px 0 0;
        a {
            color: rgba(78, 78, 78, 1);
            font-size: 11px;
            font-weight: 400;
            text-decoration: none;
            text-transform: uppercase;
            letter-spacing: 1.1px;
        }  
    }

    &__menu-item:first-of-type a{
        color: rgba(87, 164, 164, 1);
    }

    &__menu-item:last-of-type {
        padding: 0;
    }
}

.recent-posts__text {    

    p {
        display: none;
        max-width: 404px;
    }
}



.image-container {
    min-width: 266px;
    min-height: 150px;
    margin: 0 27px 0 27px;

    img {
        width: 100%;
        height: 100%;
        display: block;
        object-fit: cover;
    }
}

.recent-posts__post--invisible,
.img-container--invisible,
.last-inst-shot__several-titles {
    display: none;
}

.section-title {
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 700;
    color: $title-color;
    padding: 38px 0 23px 0;
}

.recent-posts__post {
    padding: 0 0 28.5px 0;
}

.recent-posts__text h3 {
    font-weight: 700;
    font-size: 14px;
    color: rgba(78, 78, 78, 1);
    padding: 18px 0 12px 0;
}

.main-text {
    font-weight: 400;
    font-size: 11px;
    line-height: 20px;
    color: rgba(124, 124, 124, 1);
}

.main-text.main-text--14px {
    color: rgba(92, 92, 92, 1);
}

.img-container {

    padding: 0 22px 42px 0;

    img {

        width: 100%;
        height: 100%;
    }
}

.footer {
    background-color: rgba(0, 0, 0, 1);

    .section-title--center  {
        text-align: center;
        color: rgba(254, 254, 254, 1);
    }

    &__link {
        text-decoration: none;
        color: $footer-text-color;
    }

    &__spaces {
        display: none;
    }
}

.main-text--12px {
    font-size: 12px;
}

.main-text--14px {
    font-size: 14px;
}

.main-text--center {
    text-align: center;
}

.main-text--other-padding {
    padding: 0 6px 26px 6px;
    max-width: 455px;
    margin: 0 auto;
}

.main-text--padding-bottom-50px {
    padding: 0 6px 50px 6px;
}

.main-text--line-height-26px {
    line-height: 26px;
}

.main-text--padding-top-10px {
    padding-top: 10px;
}

.main-text.main-text--footer-color {
    color: $footer-text-color;
}


.social-icons-btn {
    @include buttonSocialNetworks;

    &--facebook {
        border: 2px solid rgba(57, 89, 159, 1);
    }

    &--twitter {
        border: 2px solid rgba(69, 176, 227, 1);
    }

    &--dribbble {
        border: 2px solid rgba(217, 122, 176, 1);
    }

    &--pinterest {
        border: 2px solid rgba(204, 33, 44, 1);
    }
}

.footer {
    &__social-media {
        @include flexBox;
        gap: 6px;
        padding-bottom: 25px;
    }

    &__info {
        @include flexBox;
        flex-direction: column;
        line-height: 24px;
    }
}

.social-icons-btn {
    position: relative;
    svg, img {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
}

.twitter-icon {
    width: 9px;
    height: 12px;
}

.pinterest-icon {
    width: 10px;
    height: 12px;
}

@media (min-width: 768px) {
    .header {

        &__container {
            @include flexBox;

            min-height: 106px;
        }

        &__menu {
            display: none;
        }

        &__menu-items {
            display: block;
        }
    }


    .image-container {
        margin: 0 80px 0 80px;
    }


    .section-title {
        padding: 57px 0 22px 0;
        font-size: 16px;
    }

    .section-title.section-title--13px {
        font-size: 13px;
    }


    .wrapper {
        padding: 0 80px;
    }

   
    .recent-posts__post {
        @include flexBox;
        justify-content: flex-start;
        align-items: flex-start;
        gap: 20px;
    }

  
    .recent-posts__text {
        h3 {
            padding: 4px 0 12px 0;
            font-size: 16px;
        }
    
        p {
            display: block;
        }
    }


    .recent-posts__post--invisible {
        display: flex;
    }

    .first-section-title-wrapper {
        display: none;
    }

    .last-inst-shot {
        background-color: #F7F7F7;

        &__several-titles {
            @include flexBox;
            justify-content: space-between;
        }
    }

    .recent-posts {
        padding-bottom: 31px;
    }

    .img-container--invisible {
        display: block;
    }
  
    .img-container--invisible.img-container--visible-for-1200px {
        display: none;
    }


    .last-inst-shot__container {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        column-gap: 9px;


        padding-bottom: 50px;
    }


    .img-container {
        padding: 0;
    }

    .footer__social-media {
        padding-bottom: 34px;
    }


    .main-text--other-padding {
        max-width: 684px;
    }

    .main-text {
        font-size: 12px;

        &--14px {
            font-size: 14px;
        }
    }

    .main-text--12px {
        font-size: 16px;
    }

    .main-text--line-height-28px {
        line-height: 28px;
    }

    .footer__address-info.main-text {
        font-size: 16px;
    }

    .footer__address-info {
        @include flexBox;
        flex-direction: row;
    }

    .main-text--padding-bottom-50px {
        padding: 0 0 56px 0;
    }

    .footer__spaces {
        display: inline;
    }
}

@media (min-width: 768px) and (max-width: 790px) {
    .header__menu-item {
        padding: 0 30px 0 0;
    }
}

@media (min-width: 1200px) {
    .header {

        &__menu-item {
            padding: 0 68px 0 0;
        }
        

        &__container {
            @include flexBox;
            min-height: 118px;

        }
    }

    .section-title {
        padding: 66px 0 24px 0;
    }


    .last-inst-shot__container {
        grid-template-columns: repeat(4, 1fr);
        column-gap: 10px;
    }


    .img-container--invisible.img-container--visible-for-1200px {
        display: block;
    }

    .wrapper,
    .image-container {
        max-width: 1330px;
        margin: 0 auto;
        box-sizing: border-box;
    }

    .image-container {
        padding: 0 80px 0;
    }

    .recent-posts__container {
        display: grid;
        grid-template-columns: 1fr 1fr;
        column-gap: 35px;

        &__item-2 {
            grid-area: 2 / 1 / 3 / 2;
        }
    }

    .main-text--padding-bottom-50px {
        padding: 0 0 70px 0;
    }

}

.active-tabs {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 61px;
    right: 27px;
    background-color: rgba(245, 245, 245, 1);
    width: 182px;
    animation: burgerAnimation .4s ease;

    .header__menu-item {
        padding: 5px 0 6px 13px;
    }
}

@keyframes burgerAnimation {
    from {opacity: 0}
    to {opacity: 1}
}

.cross-icon {
    height: 23px;
    width: 23px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}